Package org.h2.server.web

# Class ConnectionInfo

java.lang.Object
org.h2.server.web.ConnectionInfo

All Implemented Interfaces:
  `Comparable<ConnectionInfo>`

public class ConnectionInfo extends Object implements Comparable<ConnectionInfo>
The connection info object is a wrapper for database connection information such as the database URL, user name and password. This class is used by the H2 Console.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`driver`
The driver class name.
`String`
`url`
The database URL.
`String`
`user`
The user name.

## Constructor Summary

Constructors
Constructor
Description
`ConnectionInfo(String data)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(ConnectionInfo o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### driver

public String driver
The driver class name.

### url

public String url
The database URL.

### user

public String user
The user name.

## Constructor Details

### ConnectionInfo

public ConnectionInfo(String data)

## Method Details

### compareTo

public int compareTo(ConnectionInfo o)

Specified by:
  `compareTo` in interface `Comparable<ConnectionInfo>`